Create the preview account of a project

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /data/projects/{project_id}/preview-account

Create the preview account of a project. If the account exists, the route sets a new password and closes the access. Only this response gives the password. You must be a manager of the project.

Path parameters

  • project_id string(uuid) Required

    Project unique identifier

Responses

  • 201 application/json

    The preview account with its password

    Hide response attributes Show response attributes object
    • id string(uuid)
    • email string
    • full_name string
    • preview_open_until string(date-time) | null

      End of the access window, null when closed

    • password string
  • 400

    The authentication strategy does not support preview accounts

  • 403

    You are not a manager of the project

POST /data/projects/{project_id}/preview-account
curl \
 --request POST '/api/data/projects/a24a6ea4-ce75-4665-a070-57453082c250/preview-account' \
 --header "Authorization: $API_KEY"
Response examples (201)
{
  "id": "string",
  "email": "preview-0a1b2c3d4e5f@preview.kitsu.invalid",
  "full_name": "Preview Cosmos Landromat",
  "preview_open_until": "2026-05-04T09:42:00Z",
  "password": "3kT9dQvE1xZb7mLw"
}